% DESC: Resavenje sistema linearnih jednacina
clc; clear all; close all; more off;

R1 = 1e3;   % Ohm
R2 = 1.5e3; % Ohm
R3 = 500;   % Ohm
R4 = 5e3;   % Ohm
V1 = 5;     % V
I1 = 10e-3; % A

% Potencijal cvorova
%
% b: Va*(1/R1 + 1/R2 + 1/R3) + Vb*(-1/R3) = V1*(1/R1) 
% c: Va*(-1/R3) + Vb*(1/R3 + 1/R4) = I1

% Sistem Ax = b

A = [ ...
  1/R1 + 1/R2 + 1/R3, -1/R3; ...
  -1/R3, 1/R3 + 1/R4 ...
];

b = [V1/R1; I1];

x = A \ b;

va = x(1);
vb = x(2);

fprintf("\nResenje sistema jednacina je:\n\n");
fprintf("\tVa = %2.7f V\n", va);
fprintf("\tVb = %2.7f V\n", vb);
fprintf("\tIR1 = %2.7f mA\n", 1e3*(va - V1)/R1);
fprintf("\tIR2 = %2.7f mA\n", 1e3*va/R2);
fprintf("\tIR3 = %2.7f mA\n", 1e3*(vb - va)/R3);
fprintf("\tIR4 = %2.7f mA\n", 1e3*vb/R4);
